Subject: Re: [PATCH v1 3/8] commit: move post-rewrite code to libgit

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Nov 2017 12:03:36 +0900

Phillip Wood <[email-masked]> writes:

> From: Phillip Wood <[email-masked]>
>
> Move run_rewrite_hook() from bulitin/commit.c to sequencer.c so it can
> be shared with other commands and add a new function
> commit_post_rewrite() based on the code in builtin/commit.c that
> encapsulates rewriting notes and running the post-rewrite hook.

This, especially the part that rips out the notes rewriting from
builtin/commit.c and moves it to elsewhere, is a bit curious
separation of labor.  I guess we'll see why in later steps in the
series.

The change itself looks like a regression-free no-op, which is good.